Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface IExchangeItem

All Superinterfaces:
  IAttachmentSupport

All Known Subinterfaces:
  IDeliveryReport, IExchangeAppointment, IExchangeCalendarItem, IExchangeContact, IExchangeMessage, IExchangeNonDeliveryReport, IExchangeTask, IMapiAppointment, IMapiTask, IMapiTaskRequest, IMeetingCancellation, IMeetingNotice, IMeetingNoticeAccepted, IMeetingNoticeDeclined, IMeetingNoticeTentative, IMeetingRequest, ITaskNotice, ITaskRequest

public interface IExchangeItem
extends IAttachmentSupport

This interface is used to define an item in exchange.

Field Summary
`static Key` | `BODY_RTF` Key that represents the RTF body of a message.
`static Key` | `CONTACT_NAMES` Key that represents the contact names for an item.
`static Key` | `CREATOR_ENTRYID` Key that represents the creator entry ID of an item.
`static Key` | `FLAG` Key that represents the flag on a message as a `FlagStatus`.
`static Key` | `FLAG_REMIND_BY` Key that represents the reminder date for an item that is used to display reminder messages in Microsoft Outlook.
`static Key` | `FLAG_TEXT` Key that represents the flag text for aan Exchange item as a `FlagText`.
`static Key` | `HAS_REMINDER` The key representing if a reminder is set on the Exchange item.
`static Key` | `HIDE_ATTACHMENTS` Key that represents whether attachments are hidden.
`static Key` | `ICON_INDEX` Key that represents the icon index value for an Exchange item.
`static Key` | `IS_HIDDEN` Key that represents when an item is hidden.
`static int` | `KEYID_BODY_RTF` The `int` ID for the `BODY_RTF` key.
`static int` | `KEYID_CONTACT_NAMES` The `int` ID for the `CONTACT_NAMES` key.
`static int` | `KEYID_CREATOR_ENTRYID` The `int` ID for the `CREATOR_ENTRYID` key.
`static int` | `KEYID_FLAG` The `int` ID for the `FLAG` key.
`static int` | `KEYID_FLAG_REMIND_BY` The `int` ID for the `FLAG_REMIND_BY` key.
`static int` | `KEYID_FLAG_TEXT` The `int` ID for the `FLAG_TEXT` key.
`static int` | `KEYID_HAS_REMINDER` The `int` ID for the `HAS_REMINDER` key.
`static int` | `KEYID_HIDE_ATTACHMENTS` The `int` ID for the `HIDE_ATTACHMENTS` key.
`static int` | `KEYID_ICON_INDEX` The `int` ID for the `ICON_INDEX` key.
`static int` | `KEYID_IS_HIDDEN` The `int` ID for the `IS_HIDDEN` key.
`static int` | `KEYID_MILEAGE` The `int` ID for the `MILEAGE` key.
`static int` | `KEYID_NORMALIZED_SUBJECT` The `int` ID for the `NORMALIZED_SUBJECT` key.
`static int` | `KEYID_PRIORITY` The `int` ID for the `PRIORITY` key.
`static int` | `KEYID_SENSITIVITY` The `int` ID for the `SENSITIVITY` key.
`static int` | `KEYID_SUBJECT_PREFIX` The `int` ID for the `FLAG_REMIND_BY` key.
`static Key` | `MILEAGE` Key that represents the mileage for an Exchange item.
`static Key` | `NORMALIZED_SUBJECT` Key that represents the normalized subject of an Exchange item.
`static Key` | `PRIORITY` Key that represents the priority of an item.
`static Key` | `SENSITIVITY` Key that represents the sensitivity of an item.
`static Key` | `SUBJECT_PREFIX` The key representing if a reminder is set on the Exchange item.

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`java.lang.String` | `getBodyRtf()` Gets the rtf body of the item.
`java.lang.String[]` | `getContactNames()` Gets the contact names.
`FlagStatus` | `getFlagStatus()` Gets the flag status.
`java.lang.String` | `getFlagText()` Gets the flag text.
`boolean` | `getHideAttachments()` Gets whether attachments are hidden.
`java.lang.String` | `getMileage()` Gets the mileage.
`Priority` | `getPriority()` Gets the priority of the item.
`Sensitivity` | `getSensitivity()` Gets the sensiivity of the item.
`java.lang.String` | `getSubjectPrefix()` Gets whether attachments are hidden.
`boolean` | `isHidden()` Gets the hidden status of the item.
`void` | `setBodyRtf(java.lang.String sRtf)` Sets the rtf body of the item.
`void` | `setContactNames(java.lang.String[] sContactNames)` Sets the contact names.
`void` | `setFlagStatus(FlagStatus flagStatus)` Sets the flag status level.
`void` | `setFlagText(java.lang.String sFlagText)` Sets the flag status level.
`void` | `setHideAttachments(boolean bHidden)` Sets whether attachments should be hidden.
`void` | `setMileage(java.lang.String sMileage)` Sets the mileage.
`void` | `setPriority(Priority priority)` Sets the priority of the item.
`void` | `setSensitivity(Sensitivity sensitivity)` Sets the sensiivity of the item.
`void` | `setSubjectPrefix(java.lang.String sPrefix)` Sets the subject prefix of an Exchange item.

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### KEYID_BODY_RTF

    public static final int KEYID_BODY_RTF

  The `int` ID for the `BODY_RTF` key.

### KEYID_CONTACT_NAMES

    public static final int KEYID_CONTACT_NAMES

  The `int` ID for the `CONTACT_NAMES` key.

### KEYID_IS_HIDDEN

    public static final int KEYID_IS_HIDDEN

  The `int` ID for the `IS_HIDDEN` key.

### KEYID_HAS_REMINDER

    public static final int KEYID_HAS_REMINDER

  The `int` ID for the `HAS_REMINDER` key.

### KEYID_PRIORITY

    public static final int KEYID_PRIORITY

  The `int` ID for the `PRIORITY` key.

### KEYID_SENSITIVITY

    public static final int KEYID_SENSITIVITY

  The `int` ID for the `SENSITIVITY` key.

### KEYID_CREATOR_ENTRYID

    public static final int KEYID_CREATOR_ENTRYID

  The `int` ID for the `CREATOR_ENTRYID` key.

### KEYID_HIDE_ATTACHMENTS

    public static final int KEYID_HIDE_ATTACHMENTS

  The `int` ID for the `HIDE_ATTACHMENTS` key.

### KEYID_FLAG_REMIND_BY

    public static final int KEYID_FLAG_REMIND_BY

  The `int` ID for the `FLAG_REMIND_BY` key.

### KEYID_SUBJECT_PREFIX

    public static final int KEYID_SUBJECT_PREFIX

  The `int` ID for the `FLAG_REMIND_BY` key.

### KEYID_MILEAGE

    public static final int KEYID_MILEAGE

  The `int` ID for the `MILEAGE` key.

### KEYID_FLAG

    public static final int KEYID_FLAG

  The `int` ID for the `FLAG` key.

### KEYID_FLAG_TEXT

    public static final int KEYID_FLAG_TEXT

  The `int` ID for the `FLAG_TEXT` key.

### KEYID_ICON_INDEX

    public static final int KEYID_ICON_INDEX

  The `int` ID for the `ICON_INDEX` key.

### KEYID_NORMALIZED_SUBJECT

    public static final int KEYID_NORMALIZED_SUBJECT

  The `int` ID for the `NORMALIZED_SUBJECT` key.

### BODY_RTF

    public static final Key BODY_RTF

  Key that represents the RTF body of a message. This key is not supported for the WebDAV provider.

### CONTACT_NAMES

    public static final Key CONTACT_NAMES

  Key that represents the contact names for an item.

### IS_HIDDEN

    public static final Key IS_HIDDEN

  Key that represents when an item is hidden.

### SENSITIVITY

    public static final Key SENSITIVITY

  Key that represents the sensitivity of an item.

### PRIORITY

    public static final Key PRIORITY

  Key that represents the priority of an item.

### CREATOR_ENTRYID

    public static final Key CREATOR_ENTRYID

  Key that represents the creator entry ID of an item.

### HIDE_ATTACHMENTS

    public static final Key HIDE_ATTACHMENTS

  Key that represents whether attachments are hidden.

### FLAG_REMIND_BY

    public static final Key FLAG_REMIND_BY

  Key that represents the reminder date for an item that is used to display reminder messages in Microsoft Outlook.

### HAS_REMINDER

    public static final Key HAS_REMINDER

  The key representing if a reminder is set on the Exchange item.

### SUBJECT_PREFIX

    public static final Key SUBJECT_PREFIX

  The key representing if a reminder is set on the Exchange item.

### MILEAGE

    public static final Key MILEAGE

  Key that represents the mileage for an Exchange item.

### FLAG

    public static final Key FLAG

  Key that represents the flag on a message as a `FlagStatus`.
  See Also:
    `FlagStatus`

### FLAG_TEXT

    public static final Key FLAG_TEXT

  Key that represents the flag text for aan Exchange item as a `FlagText`.
  See Also:
    `FlagText`

### ICON_INDEX

    public static final Key ICON_INDEX

  Key that represents the icon index value for an Exchange item.

### NORMALIZED_SUBJECT

    public static final Key NORMALIZED_SUBJECT

  Key that represents the normalized subject of an Exchange item. The normalized subject is the subject of an item without the prefix identifier. For example, a message with the subject, "FWD: Test" would have the normalized subject, "Test." This key is read-only.

Method Detail

### setBodyRtf

    public void setBodyRtf(java.lang.String sRtf)
                    throws CollaborationException

  Sets the rtf body of the item.
  Parameters:
    `sRtf` - the rtf
  Throws:
    `CollaborationException` - if there was an error setting the rtf.

### getBodyRtf

    public java.lang.String getBodyRtf()
                                throws CollaborationException

  Gets the rtf body of the item.
  Returns:
    the rtf
  Throws:
    `CollaborationException` - if there was an error getting the rtf.
  See Also:
    `setBodyRtf(String)`

### setContactNames

    public void setContactNames(java.lang.String[] sContactNames)
                         throws CollaborationException

  Sets the contact names.
  Parameters:
    `sContactNames` - the contact names
  Throws:
    `CollaborationException` - if there was an error setting the contact names

### getContactNames

    public java.lang.String[] getContactNames()
                                       throws CollaborationException

  Gets the contact names.
  Returns:
    the contact names
  Throws:
    `CollaborationException` - if there was an error getting the contact names
  See Also:
    `setContactNames(String[])`

### isHidden

    public boolean isHidden()
                     throws CollaborationException

  Gets the hidden status of the item.
  Returns:
    the hidden status
  Throws:
    `CollaborationException` - if there was an error getting the hidden status
    `PropertyMissingException` - if the property was requested but not available

### setPriority

    public void setPriority(Priority priority)
                     throws CollaborationException

  Sets the priority of the item.
  Parameters:
    `priority` - the priority
  Throws:
    `CollaborationException` - if there was an error setting the priority

### getPriority

    public Priority getPriority()
                         throws CollaborationException

  Gets the priority of the item.
  Returns:
    the priority
  Throws:
    `CollaborationException` - if there was an error getting the priority

### setSensitivity

    public void setSensitivity(Sensitivity sensitivity)
                        throws CollaborationException

  Sets the sensiivity of the item.
  Parameters:
    `sensitivity` - the sensitivity
  Throws:
    `CollaborationException` - if there was an error setting the sensitivity

### getSensitivity

    public Sensitivity getSensitivity()
                               throws CollaborationException

  Gets the sensiivity of the item.
  Returns:
    the sensitivity
  Throws:
    `CollaborationException` - if there was an error getting the sensitivity

### setHideAttachments

    public void setHideAttachments(boolean bHidden)
                            throws CollaborationException

  Sets whether attachments should be hidden.
  Parameters:
    `bHidden` - `true` to hide attachments.
  Throws:
    `CollaborationException` - if there was an error setting this value

### getHideAttachments

    public boolean getHideAttachments()
                               throws CollaborationException

  Gets whether attachments are hidden.
  Returns:
    `true` if attachments are hidden
  Throws:
    `CollaborationException` - if there was an error getting this value

### setSubjectPrefix

    public void setSubjectPrefix(java.lang.String sPrefix)
                          throws CollaborationException

  Sets the subject prefix of an Exchange item.
  Parameters:
    `sPrefix` - the prefix to set (e.g. `"RE: "`).
  Throws:
    `CollaborationException` - if there was an error setting the prefix

### getSubjectPrefix

    public java.lang.String getSubjectPrefix()
                                      throws CollaborationException

  Gets whether attachments are hidden.
  Returns:
    `true` if attachments are hidden
  Throws:
    `CollaborationException` - if there was an error getting the prefix

### setMileage

    public void setMileage(java.lang.String sMileage)
                    throws CollaborationException

  Sets the mileage.
  Parameters:
    `sMileage` - the mileage
  Throws:
    `CollaborationException` - if there was an error setting the mileage

### getMileage

    public java.lang.String getMileage()
                                throws CollaborationException

  Gets the mileage.
  Returns:
    the mileage
  Throws:
    `CollaborationException` - if there was an error getting the mileage
  See Also:
    `setMileage(String)`

### setFlagStatus

    public void setFlagStatus(FlagStatus flagStatus)
                       throws CollaborationException

  Sets the flag status level.
  Parameters:
    `flagStatus` - the flag status to set or `null` to remove the flag status.
  Throws:
    `CollaborationException` - if there was an error setting the flag status.

### getFlagStatus

    public FlagStatus getFlagStatus()
                             throws CollaborationException

  Gets the flag status.
  Returns:
    the flag status.
  Throws:
    `CollaborationException` - if there was an error getting the flag status.
  See Also:
    `getFlagStatus()`

### setFlagText

    public void setFlagText(java.lang.String sFlagText)
                     throws CollaborationException

  Sets the flag status level. Refer to the "See Also" section for a list of internationalized strings that can be used to set the flag text.
  Parameters:
    `sFlagText` - the flag text to set.
  Throws:
    `CollaborationException` - if there was an error setting the flag text.
  See Also:
    `FlagTextEnum`

### getFlagText

    public java.lang.String getFlagText()
                                 throws CollaborationException

  Gets the flag text.
  Returns:
    the flag text.
  Throws:
    `CollaborationException` - if there was an error getting the flag text.
  See Also:
    `getFlagText()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.